/**
* Emails password to a user
*
* This will email the given user their password.
*
* @param    string      $username       Username for which to get and email password
* @param    int         $msg            Message number of message to show when done
* @return   string      Optionally returns the HTML for the default form if the user info can't be found
*
*/
function emailpassword($username,$msg=0) 
{
    global $_TABLES, $_CONF, $LANG04, $LANG_CHARSET;

    $result = DB_query("SELECT email,passwd FROM {$_TABLES['users']} WHERE username = '$username'");
    $nrows = DB_numRows($result);
    if ($nrows == 1) {
        if (($_CONF['usersubmission'] == 1) && ($A['passwd'] == md5(''))) {
            return COM_refresh ("{$_CONF['site_url']}/index.php?msg=48");
        }
        srand((double)microtime()*1000000);
        $passwd = rand();
        $passwd = md5($passwd);
        $passwd = substr($passwd,1,8);
        $passwd2 = md5($passwd);
        DB_change($_TABLES['users'],'passwd',"$passwd2",'username',$username);
        DB_change($_TABLES['users'],'pwrequestid',"NULL",'username',$username);
        $A = DB_fetchArray($result);

        if (file_exists ($_CONF['path'] . 'plugins/welcome_email.txt')) {
            $template = new Template ($_CONF['path'] . 'plugins');
            $template->set_file (array ('mail' => 'welcome_email.txt'));
            $template->set_var ('auth_info',
                                "$LANG04[2]: $username\n$LANG04[4]: $passwd");
            $template->set_var ('site_name', $_CONF['site_name']);
            $template->set_var ('site_url', $_CONF['site_url']);
            $template->set_var ('username', $username);
            $template->parse ('output', 'mail');
            $mailtext = $template->get_var ('output');
        } else {
            $mailtext = "{$LANG04[15]}\n\n";
            $mailtext .= "{$LANG04[2]}: $username\n";
            $mailtext .= "{$LANG04[4]}: $passwd\n\n";
            $mailtext .= "{$LANG04[14]}\n\n";
            $mailtext .= "{$_CONF["site_name"]}\n";
            $mailtext .= "{$_CONF['site_url']}\n";
        }
        if (empty ($LANG_CHARSET)) {
            $charset = $_CONF['default_charset'];
            if (empty ($charset)) {
                $charset = "iso-8859-1";
            }
        }
        else {
            $charset = $LANG_CHARSET;
        }
        mail($A["email"]
            ,"{$_CONF["site_name"]}: {$LANG04[16]}"
            ,$mailtext
            ,"From: {$_CONF["site_name"]} <{$_CONF["site_mail"]}>\r\nReturn-Path: <{$_CONF["site_mail"]}>\r\nX-Mailer: GeekLog " . VERSION . "\r\nContent-Type: text/plain; charset={$charset}"
            );

        if ($msg) {
            $retval .= COM_refresh("{$_CONF['site_url']}/index.php?msg=$msg");
        } else {
            $retval .= COM_refresh("{$_CONF['site_url']}/index.php");
        }
    } else {
        $retval .= COM_siteHeader('menu') . defaultform($LANG04[17]) . COM_siteFooter();
    }

    return $retval;
}
